## org.apache.batik.bridge
Class SVGAnimationEngine.AnimatableNumberValueFactory

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.AnimatableNumberValueFactory

All Implemented Interfaces:
  SVGAnimationEngine.Factory

Enclosing class:
  SVGAnimationEngine

    protected class SVGAnimationEngine.AnimatableNumberValueFactory

extends java.lang.Object
implements SVGAnimationEngine.Factory

Factory class for `AnimatableNumberValue`s.

Constructor Summary
`protected` `SVGAnimationEngine.AnimatableNumberValueFactory()`

Method Summary
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String ns, java.lang.String ln, boolean isCSS, java.lang.String s)` Creates a new AnimatableValue from a string.
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimationEngine.AnimatableNumberValueFactory

    protected SVGAnimationEngine.AnimatableNumberValueFactory()

Method Detail

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String ns,
                                       java.lang.String ln,
                                       boolean isCSS,
                                       java.lang.String s)

  Creates a new AnimatableValue from a string.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String pn,
                                       Value v)

  Creates a new AnimatableValue from a CSS `Value`.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.